Bug 811335 - update the icon theme from bluecurve to gnome
update the icon theme from bluecurve to gnome
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: icewm (Show other bugs)
17
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Gilboa Davara
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-04-10 14:11 EDT by Marcus Moeller
Modified: 2013-07-28 17:09 EDT (History)
2 users (show)

See Also:
Fixed In Version: icewm-1.3.7-7.el5
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-11-18 21:27:49 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Marcus Moeller 2012-04-10 14:11:05 EDT
Description of problem:

The Bluecurve icon theme is quite outdated, but still used by icewm.

It would be great if we could switch to the gnome icon theme instead.

To make this happen, three files have to be modified and the rpm dep has to be adjusted accordingly:

/usr/share/icewm/menu
/usr/share/icewm/startup
/usr/share/icewm/toolbar

If necessary, I could provided modified versions of these files.
Comment 1 Gilboa Davara 2012-04-10 14:34:46 EDT
Is gnome-icon-theme pulled by default or does it add additional dependencies?
Comment 2 Marcus Moeller 2012-04-11 04:29:17 EDT
No, it should be added as dependency (replacing bluecurve-icon-theme).
Comment 3 Gilboa Davara 2012-05-02 03:20:09 EDT
deplist looks harmless enough. I'll free some time for it.
Comment 4 Fedora Update System 2012-06-10 05:14:54 EDT
icewm-1.3.7-4.fc17 has been submitted as an update for Fedora 17.
https://admin.fedoraproject.org/updates/icewm-1.3.7-4.fc17
Comment 5 Fedora Update System 2012-06-10 05:15:06 EDT
icewm-1.3.7-4.fc16 has been submitted as an update for Fedora 16.
https://admin.fedoraproject.org/updates/icewm-1.3.7-4.fc16
Comment 6 Fedora Update System 2012-06-10 06:43:11 EDT
icewm-1.3.7-5.fc16 has been submitted as an update for Fedora 16.
https://admin.fedoraproject.org/updates/icewm-1.3.7-5.fc16
Comment 7 Fedora Update System 2012-06-10 06:43:22 EDT
icewm-1.3.7-5.el5 has been submitted as an update for Fedora EPEL 5.
https://admin.fedoraproject.org/updates/icewm-1.3.7-5.el5
Comment 8 Fedora Update System 2012-06-10 06:43:54 EDT
icewm-1.3.7-5.fc17 has been submitted as an update for Fedora 17.
https://admin.fedoraproject.org/updates/icewm-1.3.7-5.fc17
Comment 9 Fedora Update System 2012-06-10 06:44:05 EDT
icewm-1.3.7-5.el6 has been submitted as an update for Fedora EPEL 6.
https://admin.fedoraproject.org/updates/icewm-1.3.7-5.el6
Comment 10 Marcus Moeller 2012-06-12 09:19:05 EDT
This update did not fix the 'problem'. Please also update the icewm-clearlooks package as described in #811331
Comment 11 Gilboa Davara 2012-06-12 10:15:26 EDT
Ummm...

This updates solves 811335 == This bug.
#811331 was wrongly submitted against component 0xFFFF- hence, up until now, I was not aware of it.
Please assign it to the right component (icewm); I'll see if I can free some time to issue another build before pushing 1.3.7-5.

- Gilboa
Comment 12 Marcus Moeller 2012-06-12 10:32:00 EDT
Dear Gilboa,

sorry. I have changed the component accordingly. Thanks for taking care btw.
Comment 13 Fedora Update System 2012-11-06 05:51:01 EST
icewm-1.3.7-7.fc17 has been submitted as an update for Fedora 17.
https://admin.fedoraproject.org/updates/icewm-1.3.7-7.fc17
Comment 14 Fedora Update System 2012-11-06 05:51:25 EST
icewm-1.3.7-7.fc16 has been submitted as an update for Fedora 16.
https://admin.fedoraproject.org/updates/icewm-1.3.7-7.fc16
Comment 15 Fedora Update System 2012-11-06 05:51:49 EST
icewm-1.3.7-7.fc18 has been submitted as an update for Fedora 18.
https://admin.fedoraproject.org/updates/icewm-1.3.7-7.fc18
Comment 16 Fedora Update System 2012-11-06 13:53:51 EST
Package icewm-1.3.7-7.fc18:
* should fix your issue,
* was pushed to the Fedora 18 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing icewm-1.3.7-7.fc18'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-2012-17702/icewm-1.3.7-7.fc18
then log in and leave karma (feedback).
Comment 17 Fedora Update System 2012-11-18 21:27:50 EST
icewm-1.3.7-7.fc17 has been pushed to the Fedora 17 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 18 Fedora Update System 2012-11-18 21:31:11 EST
icewm-1.3.7-7.fc16 has been pushed to the Fedora 16 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 19 Fedora Update System 2012-11-23 03:10:26 EST
icewm-1.3.7-7.fc18 has been pushed to the Fedora 18 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 20 Fedora Update System 2013-06-09 04:26:09 EDT
icewm-1.3.7-7.el6 has been submitted as an update for Fedora EPEL 6.
https://admin.fedoraproject.org/updates/icewm-1.3.7-7.el6
Comment 21 Fedora Update System 2013-06-09 04:26:26 EDT
icewm-1.3.7-7.el5 has been submitted as an update for Fedora EPEL 5.
https://admin.fedoraproject.org/updates/icewm-1.3.7-7.el5
Comment 22 Fedora Update System 2013-07-28 17:09:05 EDT
icewm-1.3.7-7.el6 has been pushed to the Fedora EPEL 6 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 23 Fedora Update System 2013-07-28 17:09:27 EDT
icewm-1.3.7-7.el5 has been pushed to the Fedora EPEL 5 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.